View Issue Details

IDProjectCategoryView StatusLast Update
0007339CentOS-7kernelpublic2014-09-04 18:02
Reporterjillian.karner Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Summary0007339: RHEL Branding =
Description"This kernel requires an x86-64 CPU, but only detected an i686 CPU.
This processor is unsupported in RHEL7."
Steps To ReproduceBoot Centos7 with a 32-bit machine
Tagstrademark
abrt_hash
URL

Relationships

has duplicate 0007352 closedkbsingh@karan.org branding issue while booting on i686 

Activities

toracat

toracat

2014-07-09 20:48

manager  

kernelc7.patch (1,861 bytes)   
---
 SOURCES/debrand-rh-i686-cpu.patch |   13 +++++++++++++
 SPECS/kernel.spec                 |    4 +++-
 2 files changed, 16 insertions(+), 1 deletions(-)

diff --git a/SOURCES/debrand-rh-i686-cpu.patch b/SOURCES/debrand-rh-i686-cpu.patch
new file mode 100644
index 0000000..8cef066
--- /dev/null
+++ b/SOURCES/debrand-rh-i686-cpu.patch
@@ -0,0 +1,13 @@
+Written-by: Akemi Yagi <toracat@centos.org>
+
+--- a/arch/x86/boot/main.c	2014-06-04 10:05:04.000000000 -0700
++++ b/arch/x86/boot/main.c	2014-07-09 12:54:40.000000000 -0700
+@@ -146,7 +146,7 @@ void main(void)
+ 
+ 	/* Make sure we have all the proper CPU support */
+ 	if (validate_cpu()) {
+-		puts("This processor is unsupported in RHEL7.\n");
++		puts("This processor is unsupported in CentOS 7.\n");
+ 		die();
+ 	}
+ 
diff --git a/SPECS/kernel.spec b/SPECS/kernel.spec
index 2f6eb03..9360321 100644
--- a/SPECS/kernel.spec
+++ b/SPECS/kernel.spec
@@ -369,6 +369,7 @@ Source2001: cpupower.config
 # branding patches
 Patch1001: debrand-single-cpu.patch
 Patch1002: debrand-rh_taint.patch
+Patch1003: debrand-rh-i686-cpu.patch
 
 # empty final patch to facilitate testing of kernel patches
 Patch999999: linux-kernel-test.patch
@@ -674,6 +675,7 @@ cp $RPM_SOURCE_DIR/kernel-%{version}-*.config .
 # CentOS Branding Modification
 ApplyOptionalPatch debrand-rh_taint.patch
 ApplyOptionalPatch debrand-single-cpu.patch
+ApplyOptionalPatch debrand-rh-i686-cpu.patch
 # End of CentOS Modification
 
 ApplyOptionalPatch linux-kernel-test.patch
@@ -1482,7 +1484,7 @@ fi
 %kernel_variant_files %{with_kdump} kdump
 
 %changelog
-* Tue Jun 27 2014 Karanbir Singh <kbsingh@centos.org> [3.10.0-123.4.2.el7.centos]
+* Fri Jun 27 2014 Karanbir Singh <kbsingh@centos.org> [3.10.0-123.4.2.el7.centos]
 - Patch in CentOS SecureBoot certs
 - Add in debranding changes
 - Add in CentOS kdump and driver update certs
kernelc7.patch (1,861 bytes)   
toracat

toracat

2014-07-09 20:48

manager   ~0020324

Patch uploaded / submitted.
tigalch

tigalch

2014-09-04 18:02

manager   ~0020831

Patch rolled in and fixed.

Issue History

Date Modified Username Field Change
2014-07-09 18:23 jillian.karner New Issue
2014-07-09 18:36 tigalch Category anaconda => kernel
2014-07-09 19:13 jillian.karner Tag Attached: trademark
2014-07-09 20:48 toracat File Added: kernelc7.patch
2014-07-09 20:48 toracat Note Added: 0020324
2014-07-09 20:49 toracat Status new => assigned
2014-07-10 18:18 tigalch Relationship added has duplicate 0007352
2014-09-04 18:02 tigalch Note Added: 0020831
2014-09-04 18:02 tigalch Status assigned => resolved
2014-09-04 18:02 tigalch Resolution open => fixed
2014-10-20 12:14 shengvvvvv Issue cloned: 0007738